<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <link rel="stylesheet" href="../Style/main.css" />
    <link
      href="https://fonts.googleapis.com/css?family=Arvo|Thasadith|Playfair+Display"
      rel="stylesheet"
    />
  </head>
  <body>
    <link rel="shortcut icon" type="image/x-icon" href="img/favicon.svg" />
    <div id="load" class="loader">
      <h2>
        Chargement
        <div class="loader-anim">
          <span class="dot"></span>
          <div class="dots">
            <span></span>
            <span></span>
          </div>
        </div>
      </h2>
    </div>
    <a class="maisonBtn" href="../#projet" title="Retour">
      <div class="maisonBtn-icon">
        <div class="maisonBtn-icon-murG"></div>
        <div class="maisonBtn-icon-murD"></div>
        <div class="maisonBtn-icon-toit"></div>
      </div>
      <div class="maisonBtn-intitule"><p>Retour</p></div>
    </a>

    <section class="scrollSection vert">
      <header class="header">
        <div class="hero">
          <h1>Stillist</h1>
          <img src="../img/projets/stillist/main.jpg" alt="" />
        </div>
      </header>
      <div class="intro">
        <p>
          Durant mon année de Licence Professionnelle, nous avons eu pour
          consignes de créer une application par groupe de 4. Cette application
          devait avoir une qualité digne du milieu professionnel, et être
          vendable (auprès de client ou d'investisseurs) à la fin de l'année.<br />
        </p>
        <h5><strong>STILLIST</strong> est cette application.</h5>
        <p>
          STILLIST est une application de mode, qui tire parti de la
          reconnaissance d’image pour proposer le meilleur style vestimentaire
          possible en fonction de la garde-robe de l’utilisateur. L’application
          se veut comme un assistant vestimentaire de poche, un guide simple
          d’utilisation pour l’amateur en mode qui veut prendre soin de son
          apparence mais ne sait pas comment s’y prendre. Le but est donc que
          l’utilisateur puisse composer des styles avec les vêtements déjà
          présents dans sa garde-robe.
        </p>
      </div>
      <article class="article article--image article--image--gauche">
        <img src="../img/projets/stillist/Splash.png" />
        <div>
          <h3>En quelques mots, <strong>le concept</strong></h3>
          <p>
            L’utilisateur envoie des photos de ses vêtements. L’application
            traite alors les photos ainsi obtenues au travers d’un web-service
            de reconnaissance d’image et compose alors des styles à partir des
            différentes pièces. Les résultats sont présentés à l’utilisateur qui
            a également la possibilité d’affiner sa recherche avec des tags
            (décontracté, habillé ou temps chauds, par exemple.) ou bien de
            demander un look à partir d’un vêtement spécifique.
          </p>
          <h5>
            Simple comme bonjour,
            <del>pour l'utilisateur en tout cas </del>
          </h5>
          <p>
            Pour commencer, l’utilisateur prend en photo ses vêtements.
            L’application traite alors les photos ainsi obtenues au travers d’un
            web-service de reconnaissance d’image et compose alors des styles à
            partir des différentes pièces. Les résultats sont présentés à
            l’utilisateur qui a également la possibilité d’affiner sa recherche
            avec des tags (décontracté, habillé ou temps chauds, par exemple.)
            ou bien de demander un look à partir d’un vêtement spécifique.
          </p>
        </div>
      </article>
    </section>
    <section class="scrollSection horiz">
      <div class="horizContent cont">
        <article class="article article">
          <div>
            <h3>Et sinon, <strong>comment</strong> ça marche ?</h3>
            <p>
              Pour pouvoir utiliser la fonctionnalité principale de
              l’application (la création de tenue), l’utilisateur doit d’abord
              renseigner plusieurs vêtements de sa garde-robe en les prenant en
              photo avec l’application.
            </p>
            <p>
              À partir d’un vêtement, la photo de celui-ci est envoyée à la
              reconnaissance d’image (Google IA Vision) qui permet d’avoir les
              tags (ou caractéristiques) de ce vêtement. Ces tags sont envoyés à
              l’application afin que l’utilisateur puisse choisir ceux qui sont
              les plus pertinents.
              <br />
              Une fois que nous avons les tags, une recherche sur Google Image
              via SerpWow est faite afin de trouver la photo d’une tenue
              comportant un vêtement similaire. Cette photo est ensuite recadrée
              grâce au service Cloudinary, puis découpée afin de pouvoir isoler
              le second vêtement de cette tenue.
            </p>
            <p>
              Ce vêtement est donc envoyé à la reconnaissance d’image pour avoir
              ses tags. Ils peuvent alors être comparés avec les tags des
              différents vêtements de la garde-robe de l’utilisateur afin de
              trouver le plus proche.<br />
              Une fois ce vêtement trouvé, la tenue peut donc être renvoyée à
              l’utilisateur. Elle est donc composée de la photo de la tenue
              associée aux deux vêtements venant de la garde-robe de
              l’utilisateur.
            </p>
            <h5>
              Autrement dit, cette application recoupe de la
              <strong>reconnaissance d'image</strong> & le système de
              <strong>tendance</strong> de Google pour coller toujours plus au
              goût commun actuel.
            </h5>
          </div>
        </article>
        <article class="article--image">
          <div>
            <h3>Les <strong>technologies</strong> utilisées</h3>
            <div>
              <h5>
                Une application, avec <strong>React</strong> Native &
                <strong>Expo</strong>
              </h5>
              <p>
                React Native nous permet de développer une seule application, un
                seul code source qui va être compilé en code natif Android et
                IOS. L’application a donc été développée en code Javascript. Le
                code est structuré en composant selon nos besoins. Enfin la
                logique et le module Redux ont également été utilisés pour
                permettre de généraliser les données dans toute l’application,
                et ainsi de rendre accessibles les informations à tous les
                composants.
              </p>
              <p>
                Expo quant à lui facilite et permet de fluidifier le
                développement. Il fournit toute une liste de composants
                préconçus, mais aussi un CLI (Commande-Line Interface ou
                Interface en ligne de commande en français) et des outils pour
                tester l’application, via une connexion avec le téléphone par
                exemple.
              </p>
            </div>
          </div>
          <img src="../img/projets/stillist/screen.png" />
        </article>
      </div>
    </section>
    <section>
      <div>
        <article class="article article--image article--image--gauche">
          <video controls>
            <source
              src="../img/projets/stillist/presentation.mp4"
              type="video/mp4"
            />
            Votre navigateur semble ne pas supporté les vidéos
          </video>
          <div>
            <h5>Une API, en <strong>Symfony</strong></h5>
            <p>
              Au niveau du développement de l’API (Application Program Interface
              ou interface de programme d’application en français), nous avons
              choisi d’utiliser le framework (ou infrastructure logicielle)
              Symfony car il possède différents bundles facilitant la création
              d’API tels que NelmioApiDoc ou JMSSerializer, et bénéficie d’une
              forte documentation.
            </p>
            <p>
              Cette API fait le lien entre l’application et la base de données,
              mais permet aussi d’appeler les différents services externes dont
              nous avons besoin. C'est par à elle que va être envoyé en premier
              lieu les photos des vêtements. A partir de là, c'est en passant
              par l'API que se feront l'attribution des tags, la création de
              tenues etc.
            </p>
          </div>
        </article>
        <article>
          <h3>
            Je vous ai dit que c'était un <strong>travail d'équipe</strong>
          </h3>

          <div class="list list--team">
            <a
              href="https://www.allibertflorent.fr/"
              class="list-item list-item--link"
            >
              <p class="emoji emoji--big">😁</p>
              <p class="list-item-title">Florent Allibert</p>
              <p>Développement Back-End <br />Création de l'API en Symfony</p>
            </a>
            <a href="http://anaisauclair.fr/" class="list-item list-item--link">
              <p class="emoji emoji--big">✨</p>
              <p class="list-item-title">Anaïs Auclair</p>
              <p>
                Graphisme & communication multimédia<br />Conception l'identité
                visuelle
              </p>
            </a>
            <a
              href="http://helene-rouzaud.fr/"
              class="list-item list-item--link"
            >
              <p class="emoji emoji--big">🦄</p>
              <p class="list-item-title">Helene Rouzaud</p>
              <p>
                Graphisme & illustration<br />
                Conception d'interface
              </p>
            </a>
            <span class="list-item list-item--link">
              <p class="emoji emoji--big">🙋‍♂️</p>
              <p class="list-item-title" title="c'est moi">
                Votre humble serviteur
              </p>
              <p>Développement mobile<br />Création de l'application</p>
            </span>
          </div>
          <p>
            Je n'ai donc pas créé cette application tout seul. Nous étions un
            groupe de quatre, parmi lesquels deux graphistes et deux
            développeurs.
          </p>
          <p>
            Nous nous sommes organisés pour pouvoir avancer le plus possible sur
            l'ensemble du projet. Chacun avait un périmètre de prédilection,
            mais nous gardions des échanges réguliers avancés tous ensemble.
            Cela nous a permis de créer dans le même temps une application
            mobile, mais aussi une API, une charte graphique complète et
            cohérente et moult support de communications. L’organisation du
            travail en groupe a été assez naturelle, facilitée par les
            spécialités de chacun. Travailler ainsi dans un groupe structuré où
            on sait que chacun maîtrise bien son domaine était fort plaisant.
          </p>
        </article>
        <article class="article article--image">
          <div class="conc">
            <h2>Conclusion sur le <strong>projet</strong></h2>
            <p>
              Arrivés à la date de rendu du projet, nous avons atteint nos
              objectifs. L'application fonctionne. Elle permet d'envoyer des
              photos, qui seront analysées. Elle permet la création de tenues.
              Et enfin elle offre une expérience utilisateur agréable, et une
              interface accueillante. Nous avons donc pu présenter l'application
              sans encombre à la soutenance finale devant un ensemble de
              professeur et de professionnel.
            </p>
            <h5>Je vous laisse un petit<strong> aperçu</strong>.</h5>
            <p>
              Cette découverte très approfondie de React Native fut très
              plaisante pour moi. J'ai grandement apprécié développer en tirant
              parti de cet outil et de sa logique composant. J'espère d’ores et
              déjà pouvoir me lancer avec enthousiasme dans un autre projet
              utilisant cette même technologie.
            </p>
          </div>
          <video controls>
            <source
              src="../img/projets/stillist/Stillist.mp4"
              type="video/mp4"
            />
            Votre navigateur semble ne pas supporté les vidéos
          </video>
        </article>
      </div>
    </section>

    <script type="text/javascript" src="../Script/jquery.js"></script>
    <script type="module" src="../Script/scroll.mjs"></script>
    <script type="text/javascript" src="../Script/general.js"></script>
  </body>
</html>
